Configure a card network
curl --request POST \
--url https://api.getsly.ai/v1/v1/cards/networks/{network}/configure \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"api_key": "<string>",
"api_secret": "<string>",
"merchant_id": "<string>",
"additional_config": {}
}
'import requests
url = "https://api.getsly.ai/v1/v1/cards/networks/{network}/configure"
payload = {
"api_key": "<string>",
"api_secret": "<string>",
"merchant_id": "<string>",
"additional_config": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
api_key: '<string>',
api_secret: '<string>',
merchant_id: '<string>',
additional_config: {}
})
};
fetch('https://api.getsly.ai/v1/v1/cards/networks/{network}/configure', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"active": true,
"features": [
"<string>"
]
}
}Cards
Configure a card network
Provision tenant credentials for VIC or Agent Pay enrollment.
POST
/
v1
/
cards
/
networks
/
{network}
/
configure
Configure a card network
Authorizations
API key (pk_test_* or pk_live_), JWT session, agent token (agent_), Ed25519 session (sess_), or portal token (portal_).
Path Parameters
Available options:
visa, mastercard Body
application/json
Response
200 - application/json
Configured
Show child attributes
Show child attributes
⌘I